commit:     0e4e63d376cff52fa014a53c39a09dd205250f96
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Apr  3 10:29:47 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Apr  3 10:29:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0e4e63d3

dev-python/pytest-subtests: fix tests if pakcage ...

is not already installed

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-subtests/pytest-subtests-0.3.0.ebuild | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/dev-python/pytest-subtests/pytest-subtests-0.3.0.ebuild 
b/dev-python/pytest-subtests/pytest-subtests-0.3.0.ebuild
index 06cf27f..3e44500 100644
--- a/dev-python/pytest-subtests/pytest-subtests-0.3.0.ebuild
+++ b/dev-python/pytest-subtests/pytest-subtests-0.3.0.ebuild
@@ -32,3 +32,10 @@ python_prepare_all() {
 
        distutils-r1_python_prepare_all
 }
+
+python_test() {
+       # tests fail if package is not installed
+       # workaround is to add source to PYTHONPATH
+       PYTHONPATH="${S}"
+       pytest -vv || die
+}

Reply via email to